<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];
$success = false;

$file = "company.php";

$keyfld = "accode";
$rangeFrom = $_REQUEST["rangeFrom"];
$rangeTo = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["ssearch"];
//$searchTerm = $_REQUEST["ssearch"];
$operator = $_REQUEST["soperator"];

$cond = "";
if ($operator == "=") {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `accode` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND `name` = '$searchTerm'";
    }
} else {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `accode` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND `name` LIKE '%$searchTerm%'";
    }
}

$sortcond = "ORDER BY `grpcode`";
if ($_REQUEST["sortBy"] == "1") {
    $sortcond = " ORDER BY `accode`";
} else if ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY `name`";
}

$ordcond = "DESC";
if ($_REQUEST["orderAs"] == "desc") {
    $ordcond = " DESC";
} else {
    $ordcond = " ASC";
}

$query = "SELECT `accode`, `name` , `grpcode` FROM `accmast` WHERE grpcode != '001' and grpcode != '002'  and grpcode != '004'  and grpcode != '005' 
         and grpcode != '009' and grpcode != '010' and grpcode != '011' and grpcode != '012' $cond $sortcond $ordcond  LIMIT $rangeFrom, $rangeTo";
$result = mysqli_query($conn, $query)or die(mysqli_error($conn));

$rows = array();
$ctr = 0;
while ($r = mysqli_fetch_assoc($result)) {
    $rows[] = [ 'success' => true,
        'value' => $ctr,
        'keyfld' => $keyfld,
        'accode' => $r[accode],
        'name' => $r[name],
        'grpcode' => $r[grpcode],
        'action' => "$file?mode=edit&$keyfld=$r[$keyfld]",
    ];
    $ctr++;
}
header("Content-type: application\json");
echo json_encode($rows);
